Summary: General purpose C++ class library
Name: jakelib2
Version: 2.0.0p
Release: 1
License: LGPL
Group: Development/Libraries/C and C++
URL: http://www.jakelib.org/lib/jakelib2/
Source0: %{name}-%{version}.tar.gz
Requires: gc

%description

Jakelib2 is a cross platform C++ class library with a Java-like
API. An automatic garbage collector is used to take care of unused
objects. External libraries like PCRE or GTK+ are beeing integrated to
provide the programmer with a homogeneous, easy to use programming
environment that covers every day's tasks like string handling, data
storage, networking, or GUI programming.


%prep
%setup -q

%build
./configure --prefix=/usr
make
make doc

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README INSTALL doc/jakelib2.pdf doc/html
/usr/lib
/usr/include
/usr/bin


%changelog
* Thu Jul  3 2003 Florian Wolff <florian@donuz.de> - 
- Initial build.


