/*
 * Jakelib2 - General purpose C++ library
 * Copyright (C) 2001 Florian Wolff  (florian@donuz.de)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: ZObject.cpp,v 1.2 2002-06-08 10:09:42 florian Exp $
 */


#include "../include/jlpplib.h"



/*****************************************************************************\
| ZObject                                                                     |
\*****************************************************************************/
ZObject::ZObject()
{
  classname = "ZObject"; 
  refCounter = 0;
}


/*****************************************************************************\
| ~ZObject                                                                    |
\*****************************************************************************/
ZObject::~ZObject()
{
#ifdef DEBUG_JAKELIB
/*   ZString key = ZString(classname);

   Integer* count = (Integer*) instancesDeleted->get(key);
   if (count == NULL) {
      instancesDeleted->put(new ZString(classname), new Integer(1));
   }
   else {
      count->increment();
   }*/
#endif
}


ZString ZObject::toString()
{
  return ZString();
}


int ZObject::hashCode()
{
  return 0;
}


ZObject* ZObject::clone()
{
  return new ZObject();
}


const char* ZObject::getChars()
{
  return NULL;
}


char* ZObject::getClassname()
{
  return classname;
}


boolean ZObject::equals(ZObject*) 
{ 
  return TRUE; 
}


void ZObject::ref()
{
  refCounter ++;
}


unsigned long ZObject::unref()
{
  refCounter --;

  return refCounter;
}




